Bug 1799912 - python-certbot-dns-digitalocean: FTBFS in Fedora rawhide/f32
Summary: python-certbot-dns-digitalocean: FTBFS in Fedora rawhide/f32
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: python-certbot-dns-digitalocean
Version: 32
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Felix Schwarz
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F32FTBFS
TreeView+ depends on / blocked
 
Reported: 2020-02-06 19:38 UTC by Fedora Release Engineering
Modified: 2020-03-16 20:30 UTC (History)
2 users (show)

Fixed In Version: python-certbot-dns-digitalocean-1.2.0-1.fc32
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-03-16 20:18:19 UTC
Type: ---


Attachments (Terms of Use)
build.log (12.90 KB, text/plain)
2020-02-06 19:38 UTC, Fedora Release Engineering
no flags Details
root.log (32.00 KB, text/plain)
2020-02-06 19:38 UTC, Fedora Release Engineering
no flags Details
state.log (1.09 KB, text/plain)
2020-02-06 19:38 UTC, Fedora Release Engineering
no flags Details

Description Fedora Release Engineering 2020-02-06 19:38:51 UTC
python-certbot-dns-digitalocean failed to build from source in Fedora rawhide/f32

https://koji.fedoraproject.org/koji/taskinfo?taskID=41320650


For details on the mass rebuild see:

https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild
Please fix python-certbot-dns-digitalocean at your earliest convenience and set the bug's status to
ASSIGNED when you start fixing it. If the bug remains in NEW state for 8 weeks,
python-certbot-dns-digitalocean will be orphaned. Before branching of Fedora 33,
python-certbot-dns-digitalocean will be retired, if it still fails to build.

For more details on the FTBFS policy, please visit:
https://fedoraproject.org/wiki/Fails_to_build_from_source

Comment 1 Fedora Release Engineering 2020-02-06 19:38:53 UTC
Created attachment 1660413 [details]
build.log

Comment 2 Fedora Release Engineering 2020-02-06 19:38:55 UTC
Created attachment 1660414 [details]
root.log

file root.log too big, will only attach last 32768 bytes

Comment 3 Fedora Release Engineering 2020-02-06 19:38:57 UTC
Created attachment 1660415 [details]
state.log

Comment 4 Ben Cotton 2020-02-11 16:52:57 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 32 development cycle.
Changing version to 32.

Comment 5 Fedora Release Engineering 2020-02-16 04:27:37 UTC
Dear Maintainer,

your package has not been built successfully in 32. Action is required from you.

If you can fix your package to build, perform a build in koji, and either create
an update in bodhi, or close this bug without creating an update, if updating is
not appropriate [1]. If you are working on a fix, set the status to ASSIGNED to
acknowledge this. Following the latest policy for such packages [2], your package
will be orphaned if this bug remains in NEW state more than 8 weeks.

A week before the mass branching of Fedora 33 according to the schedule [3],
any packages not successfully rebuilt at least on Fedora 31 will be
retired regardless of the status of this bug.

[1] https://fedoraproject.org/wiki/Updates_Policy
[2] https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/
[3] https://fedoraproject.org/wiki/Releases/33/Schedule

Comment 6 Felix Schwarz 2020-02-23 12:06:56 UTC
I'm working on updating all the certbot plugins. This takes a bit of time because I needed to familiarize myself with Eli's scripts and I adapted/rewrote them so I don't mess up. Also I want to update them exactly like Eli did in the past so he (or someone else) could take over maintenance in the future with hassle. I expect to submit new builds/updates (roughly) within 1-2 weeks.

Comment 7 Fedora Update System 2020-03-01 12:21:01 UTC
FEDORA-2020-69378750c1 has been submitted as an update to Fedora 32. https://bodhi.fedoraproject.org/updates/FEDORA-2020-69378750c1

Comment 8 Fedora Update System 2020-03-01 21:42:50 UTC
certbot-1.2.0-2.fc32, python-certbot-apache-1.2.0-2.fc32, python-certbot-dns-cloudflare-1.2.0-1.fc32, python-certbot-dns-cloudxns-1.2.0-1.fc32, python-certbot-dns-digitalocean-1.2.0-1.fc32, python-certbot-dns-dnsimple-1.2.0-1.fc32, python-certbot-dns-dnsmadeeasy-1.2.0-1.fc32, python-certbot-dns-gehirn-1.2.0-1.fc32, python-certbot-dns-google-1.2.0-1.fc32, python-certbot-dns-linode-1.2.0-1.fc32, python-certbot-dns-luadns-1.2.0-1.fc32, python-certbot-dns-nsone-1.2.0-1.fc32, python-certbot-dns-ovh-1.2.0-1.fc32, python-certbot-dns-rfc2136-1.2.0-2.fc32, python-certbot-dns-route53-1.2.0-1.fc32, python-certbot-dns-sakuracloud-1.2.0-1.fc32 has been pushed to the Fedora 32 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-69378750c1

Comment 9 Fedora Update System 2020-03-16 20:18:19 UTC
certbot-1.2.0-2.fc32, python-certbot-apache-1.2.0-2.fc32, python-certbot-dns-cloudflare-1.2.0-1.fc32, python-certbot-dns-cloudxns-1.2.0-1.fc32, python-certbot-dns-digitalocean-1.2.0-1.fc32, python-certbot-dns-dnsimple-1.2.0-1.fc32, python-certbot-dns-dnsmadeeasy-1.2.0-1.fc32, python-certbot-dns-gehirn-1.2.0-1.fc32, python-certbot-dns-google-1.2.0-1.fc32, python-certbot-dns-linode-1.2.0-1.fc32, python-certbot-dns-luadns-1.2.0-1.fc32, python-certbot-dns-nsone-1.2.0-1.fc32, python-certbot-dns-ovh-1.2.0-1.fc32, python-certbot-dns-rfc2136-1.2.0-2.fc32, python-certbot-dns-route53-1.2.0-1.fc32, python-certbot-dns-sakuracloud-1.2.0-1.fc32 has been pushed to the Fedora 32 stable repository. If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2020-03-16 20:30:44 UTC
certbot-1.2.0-2.fc32, python-certbot-apache-1.2.0-2.fc32, python-certbot-dns-cloudflare-1.2.0-1.fc32, python-certbot-dns-cloudxns-1.2.0-1.fc32, python-certbot-dns-digitalocean-1.2.0-1.fc32, python-certbot-dns-dnsimple-1.2.0-1.fc32, python-certbot-dns-dnsmadeeasy-1.2.0-1.fc32, python-certbot-dns-gehirn-1.2.0-1.fc32, python-certbot-dns-google-1.2.0-1.fc32, python-certbot-dns-linode-1.2.0-1.fc32, python-certbot-dns-luadns-1.2.0-1.fc32, python-certbot-dns-nsone-1.2.0-1.fc32, python-certbot-dns-ovh-1.2.0-1.fc32, python-certbot-dns-rfc2136-1.2.0-2.fc32, python-certbot-dns-route53-1.2.0-1.fc32, python-certbot-dns-sakuracloud-1.2.0-1.fc32 has been pushed to the Fedora 32 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.